Reschedule an existing appointment identified by its publicId
PUT/api/v1/appointments/:publicId/reschedule
Reschedule an existing appointment identified by its publicId.
The new start- and end times are supplied as query parameters, e.g: ?start=2014-04-14T12:00:00&end=2014-04-14T12:30:00 in yyyy-MM-ddTHH:mm:ss format. The start and end times are implicitly in the local time of the Branch.
-
- Start time must be before End time
-
- Start time must not be in the past
-
- The appointment must have a Resource and a Branch associated to it in order to be reschedulable
-
- The appointment must be in state CREATED, e.g. appointments that has been ARRIVED, CALLED etc cannot be rescheduled
It is not possible to reschedule an appointment that is locked by another user.
If the calling user currently holds a lock on the appointment that lock will be released as this call ends. (NOTE: This requires the calling user to be properly authenticated with a login cookie)
(see /lock methods in internal appointment connector)
Example of usage:
curl -i -X PUT http://orchestra-ip:orchestra-port/calendar-backend/public/api/v1/appointments/{publicId}/reschedule?start=2014-04-14T10:05:00&end=2014-04-14T10:15:00
Request
Responses
- 204
A Json object of com.qmatic.qp.calendar.rest.dto.AppointmentDTO